워드프레스 5.0 릴리즈 – 새로운 비주얼 에디터 구텐베르크 탑재

논란이 많았던 워드프레스 5.0이 미국 시각으로 12월 6일(우리나라 시각으로 12월 7일)에 공식 릴리즈되었습니다.

워드프레스 5.0이 특별한 이유는 바로 구텐베르크라는 새로운 편집기 때문입니다. 5.0 버전에는 구텐베르크(Gutenberg)가 기본 편집기로 통합되었습니다.

구텐베르크워드프레스 5.0에 탑재된 새로운 편집기 구텐베르크. 아직은 한글화가 되지 않았다.

구텐베르크는 편리하고 강력한 기능을 탑재하여 기존의 약점으로 지적되던 편집기 기능을 크게 개선하였습니다. 네이버 스마트에디터와 비교하는 분들도 있지만, 기능적인 측면에서 네이버 스마트에디터와는 비교가 되지 않을 정도로 강력합니다.

다만, 구텐베르크는 아직 완전히 안정화가 되지 않았습니다. 그리고 많은 플러그인이 구텐베르크와 호환이 되지 않을 수 있습니다. 안정화되고 완전히 정착하려면 어느 정도의 시간이 걸릴 것 같습니다.

참고로 아바다, Divi와 같은 인기 테마와 Yoast SEO 같은 일부 플러그인에서는 발 빠르게 대응하여 구텐베르크와의 호환성 작업을 신속히 진행하고 있습니다. 하지만 구텐베르크 릴리즈가 나올 때마다 변경이 이루어져서 새로운 버전에서는 호환성 문제가 발생할 수 있다고 하네요(“WPML – 워드프레스 5.0으로 업데이트하기 전 참고 사항“참고).

그리고 워드프레스 5.0에는 새로운 공식 테마인 Twenty Nineteen이 탑재되었습니다.

워드프레스 5.0에 탑재된 Twenty Nineteen 테마워드프레스 5.0에 탑재된 Twenty Nineteen 테마.

구텐베르크 편집기가 문제를 일으키는 경우 다음 코드를 사용 중인 테마 함수 파일에 추가하여 비활성화할 수 있습니다.

// 구텐베르크 비활성화
add_filter('use_block_editor_for_post', '__return_false');

다른 방법으로 Classic Editor라는 플러그인을 설치할 수 있습니다.

그리고 워드프레스 5.0에서는 PHP 7.3에 대한 지원이 추가되었습니다. 아직은 PHP 7.3을 지원하는 테마나 플러그인이 거의 없겠지만, 시간이 지나면 PHP 7.3으로 점진적으로 이동할 것 같습니다. 웹호스팅 서비스 중에서는 해외호스팅 중 하나인 사이트그라운드(SiteGround)에서 PHP 7.3을 지원합니다.

언제 워드프레스 5.0으로 업그레이드해야 하나?

구텐베르크가 아직 안정화가 되지 않았기 때문에 패치가 나오는 1월까지 기다렸다가 업데이트하는 것도 괜찮은 방법입니다.

저는 모든 사이트를 워드프레스 5.0으로 업데이트하고 ‘고전 편집기’ 플러그인을 설치하여 기본 편집기를 기존 클래식 에디터로 바꾸었습니다.

고전 편집기고전 편집기 플러그인을 설치하여 기본 편집기를 구텐베르크에서 고전 편집기로 바꿀 수 있다.

5.0으로 업데이트하려는 경우, 만약의 사태에 대비하여 반드시 백업을 한 후에 진행하시기 바랍니다.

참고:

Recent Posts

Leave a Comment

Start typing and press Enter to search